import { listItemSchema } from './_shared.mjs'

/**
 * DataModel pour les items de type "trauma" (traumatismes, séquelles).
 * @augments {foundry.abstract.TypeDataModel}
 */
export default class VermineTraumaData extends foundry.abstract.TypeDataModel {
  /** @override */
  static LOCALIZATION_PREFIXES = ["VERMINE.item.trauma"]

  /** @override */
  static defineSchema() {
    const fields = foundry.data.fields
    return {
      ...listItemSchema(),
      type: new fields.StringField({ required: true, initial: "" })
    }
  }
}
